## ayatana-indicator-messages 0.6.0

=== debian/changelog ===
ayatana-indicator-messages (0.6.0-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 18:51:18 +0200

ayatana-indicator-messages (0.6.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #893875).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Mar 2018 15:16:57 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	if [ ! -e po/ayatana-indicator-messages.pot.bak ]; then \
	    cp po/ayatana-indicator-messages.pot po/ayatana-indicator-messages.pot.bak; \
	fi
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	if [ -e po/ayatana-indicator-messages.pot.bak ]; then \
	    mv -f po/ayatana-indicator-messages.pot.bak po/ayatana-indicator-messages.pot; \
	fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-messages/ayatana-indicator-messages-(.+)\.tar\.gz

## ayatana-indicator-messages 22.2.0

=== CMakeLists.txt ===
project(ayatana-indicator-messages C CXX)
cmake_minimum_required(VERSION 3.13)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Globals

set(PROJECT_VERSION "22.2.0")
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

#  Check for prerequisites

include (GNUInstallDirs)
find_package(PkgConfig REQUIRED)
include(FindPkgConfig)

pkg_check_modules(
    PROJECT_DEPS
    REQUIRED
    glib-2.0>=2.36
    gio-unix-2.0>=2.36
    accountsservice
)

# Cppcheck

add_custom_target(
    cppcheck
    COMMAND
    cppcheck
    --enable=all
    -q
    --error-exitcode=2
    --inline-suppr
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/tests
)

# Build

add_subdirectory(src)
add_subdirectory(libmessaging-menu)
add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(doc)

# Testing and coverage

if (ENABLE_TESTS)
    include(CTest)
    enable_testing()
    add_subdirectory(tests)
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS "messaging-menu" "indicator-messages-service"
            TESTS ${COVERAGE_TEST_TARGETS}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif ()
endif ()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== doc/CMakeLists.txt ===
add_subdirectory(reference)

=== po/CMakeLists.txt ===
find_package(Intltool REQUIRED)
intltool_install_translations(ALL GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

=== doc/reference/CMakeLists.txt ===
# messaging-menu-docs.xml

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/messaging-menu-docs.xml.in" "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-docs.xml" @ONLY)

# messaging-menu-decl.txt
# messaging-menu-decl-list.txt
# messaging-menu-overrides.txt
# messaging-menu-sections.txt
# messaging-menu.types

find_program(GTKDOC_SCAN gtkdoc-scan)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-decl.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-decl-list.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-overrides.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-sections.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.types"
    DEPENDS "messaging-menu"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GTKDOC_SCAN}
    --module=messaging-menu
    --source-dir="${CMAKE_SOURCE_DIR}/libmessaging-menu"
)

# scangobj.sh

list(JOIN PROJECT_DEPS_INCLUDE_DIRS " -I" GTKDOC_SCANGOBJ_INCLUDE_DIRS)
list(JOIN PROJECT_DEPS_LIBRARIES " -l" GTKDOC_SCANGOBJ_LIBRARIES)
set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/scangobj.sh" GENERATED)
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/scangobj.sh" "LD_LIBRARY_PATH=\"$LD_LIBRARY_PATH:${CMAKE_BINARY_DIR}/libmessaging-menu\" CFLAGS=\"-I${GTKDOC_SCANGOBJ_INCLUDE_DIRS}\" LDFLAGS=\"-l${GTKDOC_SCANGOBJ_LIBRARIES} -L${CMAKE_BINARY_DIR}/libmessaging-menu -lmessaging-menu\" gtkdoc-scangobj --module=messaging-menu")

# messaging-menu.actions"
# messaging-menu.args"
# messaging-menu.hierarchy"
# messaging-menu.interfaces"
# messaging-menu.prerequisites"
# messaging-menu.signals"

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.actions"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.args"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.hierarchy"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.interfaces"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.prerequisites"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.signals"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-decl.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-decl-list.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-overrides.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-sections.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.types"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/scangobj.sh"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND sh scangobj.sh
)

# messaging-menu-undeclared.txt
# messaging-menu-undocumented.txt
# messaging-menu-unused.txt
# sgml.stamp
# xml/annotation-glossary.xml
# xml/api-index-deprecated.xml
# xml/api-index-full.xml
# xml/messaging-menu-app.xml
# xml/messaging-menu-doc.bottom
# xml/messaging-menu-doc.top
# xml/messaging-menu-message.xml
# xml/object_index.sgml
# xml/tree_index.sgml

find_program(GTKDOC_MKDB gtkdoc-mkdb)
list(JOIN PROJECT_DEPS_INCLUDE_DIRS ";-I" GTKDOC_SCANGOBJ_INCLUDE_DIRS)
list(JOIN PROJECT_DEPS_LIBRARIES ";-l" GTKDOC_SCANGOBJ_LIBRARIES)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-undeclared.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-undocumented.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-unused.txt"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/annotation-glossary.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-deprecated.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-full.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/messaging-menu-app.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/messaging-menu-doc.bottom"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/messaging-menu-doc.top"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/xml/messaging-menu-message.xml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/object_index.sgml"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/xml/tree_index.sgml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.actions"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.args"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.hierarchy"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.interfaces"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.prerequisites"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu.signals"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GTKDOC_MKDB}
    --module=messaging-menu
    --output-format=xml
    --expand-content-files=""
    --main-sgml-file=messaging-menu-docs.xml
    --source-dir="${CMAKE_SOURCE_DIR}/libmessaging-menu"
    --xml-mode
)

# html

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html")

# html/annotation-glossary.html
# html/api-index-full.html
# html/ch01.html
# html/home.png
# html/index.html
# html/left.png
# html/left-insensitive.png
# html/messaging-menu.devhelp2
# html/MessagingMenuApp.html
# html/MessagingMenuMessage.html
# html/object-tree.html
# html/right.png
# html/right-insensitive.png
# html/style.css
# html/up.png
# html/up-insensitive.png

find_program(GTKDOC_MKHTML gtkdoc-mkhtml)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/annotation-glossary.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-full.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/ch01.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/home.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/index.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/left.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/left-insensitive.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/messaging-menu.devhelp2"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/MessagingMenuApp.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/MessagingMenuMessage.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/object-tree.html"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/right.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/right-insensitive.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/style.css"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/up.png"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html/up-insensitive.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-undeclared.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-undocumented.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/messaging-menu-unused.txt"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/annotation-glossary.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-deprecated.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/api-index-full.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/messaging-menu-app.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/messaging-menu-doc.bottom"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/messaging-menu-doc.top"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/xml/messaging-menu-message.xml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/object_index.sgml"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/xml/tree_index.sgml"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
    COMMAND
    ${GTKDOC_MKHTML}
    --path=${CMAKE_CURRENT_BINARY_DIR}
    messaging-menu
    messaging-menu-docs.xml
)

# html/annotation-glossary.html
# html/api-index-deprecated.html
# html/api-index-full.html
# html/ch01.html
# html/index.html
# html/object-tree.html
# html/style.css

find_program(GTKDOC_FIXXREF gtkdoc-fixxref)

add_custom_command(
    OUTPUT "fixxref"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/annotation-glossary.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/api-index-full.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/ch01.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/home.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/index.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/left.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/left-insensitive.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/messaging-menu.devhelp2"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/MessagingMenuApp.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/MessagingMenuMessage.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/object-tree.html"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/right.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/right-insensitive.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/style.css"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/up.png"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html/up-insensitive.png"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${GTKDOC_FIXXREF}
    --module=messaging-menu
    --module-dir=html
    --html-dir="${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html"
)

set_source_files_properties("fixxref" PROPERTIES SYMBOLIC TRUE)
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gtk-doc/html/messaging-menu")

add_custom_target("docs-references" ALL DEPENDS "fixxref")

## ayatana-indicator-messages 0.8.1

=== debian/changelog ===
ayatana-indicator-messages (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:36:48 +0200

ayatana-indicator-messages (0.8.0-3) unstable; urgency=medium

  * Source-only upload as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 11:56:27 +0200

ayatana-indicator-messages (0.8.0-2) unstable; urgency=medium

  * debian/control:
    + Add B-D systemd for [linux-any] architectures.
    + Add B-D: dh-exec.
  * debian/ayatana-indicator-messages.install:
    + Install systemd service file only for [linux-any] architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 11:49:04 +0200

ayatana-indicator-messages (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add to D (ayatana-indicator-messages): ayatana-indicator-common
      (>= 0.8.0).
  * debian/copyright:
    + Update copyright attributions.
  * debian/ayatana-indicator-messages.install:
    + Drop upstart conf file, add systemd service file.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 09:48:49 +0200

ayatana-indicator-messages (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Aug 2020 14:20:11 +0200

ayatana-indicator-messages (0.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Stop using deprecated g_type_class_add_private. (Closes: #951994).
  * debian/patches:
    + Drop 0001_Fix-pkg-config-file-library-and-path-flags.patch. Applied
      upstream.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation, bump DH compat level to version 12.
  * debian/rules:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * debian/ayatana-indicator-messages.install:
    + Adapt installation path. Service executable now gets installed to
      /usr/libexec/.
  * debian/libmessaging-menu0.symbols:
    + Add Build-Depends-Package: metadata field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Feb 2020 10:08:04 +0100

ayatana-indicator-messages (0.6.0-3) unstable; urgency=medium

  * debian/control:
    + Add B/R for indicator-messages. The a-i-messages and i-messages bin:pkgs
      share the same artwork files.
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/patches:
    + Add 0001_Fix-pkg-config-file-library-and-path-flags.patch. Adapt paths and
      filenames to recently reworked install target. (Closes: #923958).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Aug 2019 01:54:05 +0200

=== debian/control ===
Source: ayatana-indicator-messages
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools,
               intltool,
               libaccountsservice-dev,
               libdbustest1-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libgtest-dev,
               mate-common,
               python3-dbusmock,
               valac,
               systemd [linux-any],
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-messages

Package: ayatana-indicator-messages
Architecture: any
Depends: ayatana-indicator-common (>= 0.8.0),
         ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-bin,
Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
Breaks: indicator-messages,
Replaces: indicator-messages,
Description: Ayatana Indicator that collects messages that need a response
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.

Package: libmessaging-menu0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Messaging Menu - shared library
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.
 .
 This library contains information to build status providers to go into
 the messaging menu.

Package: libmessaging-menu-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-messagingmenu-1.0 (=${binary:Version}),
         libmessaging-menu0 (=${binary:Version}),
         libglib2.0-dev,
Description: Ayatana Messaging Menu - library development files
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.
 .
 This package provides development files for the Messaging Menu shared
 library.

Package: gir1.2-messagingmenu-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Ayatana Messaging Menu - gir bindings
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,10 @@
 
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_clean:
 	dh_auto_clean

## ayatana-indicator-messages 0.8.2

=== debian/changelog ===
ayatana-indicator-messages (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of the word 'Xfce'.
  * debian/watch:
    + Update format version to 4.
  * debian/rules:
    + Move gtk-doc html files into package's doc folder.
  * debian/libmessaging-menu-dev.doc-base:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 13:15:27 +0100

ayatana-indicator-messages (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Typo fix in LONG_DESCRIPTION.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:12:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                gobject-introspection (>= 0.9.12-4~),
@@ -17,7 +18,7 @@
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
@@ -38,6 +39,10 @@
  This menu provides a condensed and collected view of all of those messages
  for quick access, but without making them annoying in times that you want
  to ignore them.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
+ etc.).
 
 Package: libmessaging-menu0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
 	dh_install
+	# move gtk-doc folder to /usr/share/doc/<pkg>/
+	mkdir -p debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/
+	mv debian/libmessaging-menu-dev/usr/share/gtk-doc/html/messaging-menu debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/
+	mv debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/messaging-menu/ debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/html
+	ln -s ../../doc/libmessaging-menu-dev/html debian/libmessaging-menu-dev/usr/share/gtk-doc/html/messaging-menu
 
 override_dh_missing:
 	dh_missing --fail-missing

## ayatana-indicator-messages 0.8.2-0+git20211018.2169+10.nightly.1

=== debian/changelog ===
ayatana-indicator-messages (0.8.2-0+git20211018.2169+10.nightly.1) buster; urgency=medium

  * Development-Snapshot!!! Auto-built Debian buster package for
    packages.arctica-project.org repository (Git commit:
    6c1a8c954e7bdf05d6369647178b9f2d2447c89a).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Mon, 18 Oct 2021 14:30:33 +0200

ayatana-indicator-messages (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 17:18:23 +0100

ayatana-indicator-messages (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:56:40 +0200

ayatana-indicator-messages (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 17 Aug 2020 23:02:04 +0200

ayatana-indicator-messages (0.6.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 06 Aug 2020 10:55:27 +0000

ayatana-indicator-messages (0.6.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 24 Feb 2020 09:55:20 +0100

ayatana-indicator-messages (0.6.0-0) unstable; urgency=medium

  * Fork from Ubuntu's indicator-messages applet.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 16 Nov 2015 16:13:12 +0100

indicator-messages (13.10.1+15.10.20150505-0ubuntu1) wily; urgency=medium

  [ Lars Uebernickel ]
  * application list: update root action unconditionally

  [ Niklas Wenzel ]
  * Unescape action names when passing them to the proxy in
    im_application_list_remove_all() (LP: #1434521)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 05 May 2015 16:47:43 +0000

indicator-messages (13.10.1+15.04.20150403-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Verify state type before parsing

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 03 Apr 2015 14:51:54 +0000

indicator-messages (13.10.1+15.04.20150311-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Sanity tests to test basic features of the messaging menu

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 11 Mar 2015 16:21:18 +0000

indicator-messages (13.10.1+15.04.20150304-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Make the message actions have the message ID in their names like the
    muxer

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 04 Mar 2015 23:59:37 +0000

indicator-messages (13.10.1+15.04.20150219-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Provide functions that allow for action names directly (LP:
    #1385331)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Feb 2015 15:55:54 +0000

indicator-messages (13.10.1+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * unescape_action_name: fix logic error (& instead of |) (LP:
    #1414025)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 22:07:44 +0000

indicator-messages (13.10.1+15.04.20150112-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * desktop menu: don't warn when no default handler for a mime type is
    found (LP: #1389725)
  * Escape message and source ids when using them as action names (LP:
    #1386584)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Jan 2015 18:39:08 +0000

indicator-messages (13.10.1+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Ted Gould ]
  * Add filtering for lock screen. (LP: #1358340)

  [ Lars Uebernickel ]
  * libmessaging-menu: allow numbers in object paths (LP: #1384811)
  * libmessaging-menu: fix section link in the documentation and add
    descriptions (LP: #1313561)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 20:56:30 +0000

indicator-messages (13.10.1+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Symbolic icon test on Unity8 phone

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:30:07 +0000

indicator-messages (13.10.1+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Make title string match updated designs. (LP: #1377286)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 19:41:05 +0000

indicator-messages (13.10.1+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Move the position of this indicator on the panel. (LP: #1377294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 17:25:02 +0000

indicator-messages (13.10.1+14.10.20140925-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * Support X-Ubuntu-SymbolicIcon in desktop files (LP: #1365408)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Sep 2014 14:41:04 +0000

indicator-messages (13.10.1+14.10.20140814.1-0ubuntu2) utopic; urgency=low

  * Add "Multi-Arch: same" to libmessaging-menu0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Sep 2014 11:17:34 +0200

indicator-messages (13.10.1+14.10.20140814.1-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Change the title to "Notification center".

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 14:55:23 +0000

indicator-messages (13.10.1+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * messaging-menu-message: add missing break statements

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 08:59:38 +0000



=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ayatana-indicator-messages
-Section: gnome
+Section: nightly/gnome
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
- Debian UBports Team <team+ubports@tracker.debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-exec,
+Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf | debhelper (>= 9.20160403~),
+               dh-systemd | debhelper (>= 10.2~),
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
                intltool,
@@ -18,16 +16,14 @@
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-messages
+Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-messages
+Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 
 Package: ayatana-indicator-messages
 Architecture: any
-Depends: ayatana-indicator-common (>= 0.8.0),
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin,
 Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
@@ -39,15 +35,11 @@
  This menu provides a condensed and collected view of all of those messages
  for quick access, but without making them annoying in times that you want
  to ignore them.
- .
- Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
- etc.).
 
 Package: libmessaging-menu0
 Architecture: any
 Multi-Arch: same
-Section: libs
+Section: nightly/libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Ayatana Messaging Menu - shared library
@@ -62,7 +54,7 @@
 
 Package: libmessaging-menu-dev
 Architecture: any
-Section: libdevel
+Section: nightly/libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-messagingmenu-1.0 (=${binary:Version}),
@@ -79,7 +71,7 @@
  library.
 
 Package: gir1.2-messagingmenu-1.0
-Section: introspection
+Section: nightly/introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${gir:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf,gir,systemd

override_dh_autoreconf:
	if [ ! -e po/ayatana-indicator-messages.pot.bak ]; then \
	    cp po/ayatana-indicator-messages.pot po/ayatana-indicator-messages.pot.bak; \
	fi
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	if [ -e po/ayatana-indicator-messages.pot.bak ]; then \
	    mv -f po/ayatana-indicator-messages.pot.bak po/ayatana-indicator-messages.pot; \
	fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-messages 22.2.0

=== debian/changelog ===
ayatana-indicator-messages (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 17:09:42 +0100

ayatana-indicator-messages (21.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Upstream version bump to something >= 14 to resolve versioning
      conflict with indicator-messages in Ubuntu. (Closes: #1000801).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 22:51:02 +0100

ayatana-indicator-messages (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Adjust to build system switch (autotools -> CMake).
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/rules:
    + Adjust for upstream version 0.9.0.
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/libmessaging-menu0.symbols:
    + Fix dev:pkg name in Build-Depends-Package: metadata field.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 16:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: ayatana-indicator-messages
-Section: nightly/gnome
+Section: gnome
 Priority: optional
-Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf | debhelper (>= 9.20160403~),
-               dh-systemd | debhelper (>= 10.2~),
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
+Build-Depends: cmake,
+               cmake-extras,
+               debhelper-compat (= 13),
+               dh-exec,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
                intltool,
@@ -12,18 +16,19 @@
                libdbustest1-dev,
                libgirepository1.0-dev (>= 0.9.12),
                libgtest-dev,
-               mate-common,
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
-Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-messages
-Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-messages
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-messages
 
 Package: ayatana-indicator-messages
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ayatana-indicator-common (>= 0.8.0),
+         ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin,
 Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
@@ -35,11 +40,15 @@
  This menu provides a condensed and collected view of all of those messages
  for quick access, but without making them annoying in times that you want
  to ignore them.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
+ etc.).
 
 Package: libmessaging-menu0
 Architecture: any
 Multi-Arch: same
-Section: nightly/libs
+Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Ayatana Messaging Menu - shared library
@@ -54,7 +63,7 @@
 
 Package: libmessaging-menu-dev
 Architecture: any
-Section: nightly/libdevel
+Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-messagingmenu-1.0 (=${binary:Version}),
@@ -71,7 +80,7 @@
  library.
 
 Package: gir1.2-messagingmenu-1.0
-Section: nightly/introspection
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${gir:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install
	# move gtk-doc folder to /usr/share/doc/<pkg>/
	mkdir -p debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/
	mv debian/libmessaging-menu-dev/usr/share/gtk-doc/html/messaging-menu debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/
	mv debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/messaging-menu/ debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/html
	ln -s ../../doc/libmessaging-menu-dev/html debian/libmessaging-menu-dev/usr/share/gtk-doc/html/messaging-menu

override_dh_missing:
	dh_missing --fail-missing

# Hack as it seems it's not possible to easy run that under dbus-test-runner
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs NEWS


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-messages 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # Globals
 
-set(PROJECT_VERSION "22.2.0")
+set(PROJECT_VERSION "22.9.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
+set(GETTEXT_PACKAGE "ayatana-indicator-messages")
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== tests/CMakeLists.txt ===
# libindicator-messages-service

find_package(GMock)

set(
    HEADERS
    ${CMAKE_SOURCE_DIR}/src/gactionmuxer.h
    ${CMAKE_SOURCE_DIR}/src/dbus-data.h
)

set(
    SOURCES
    ${CMAKE_SOURCE_DIR}/src/gactionmuxer.c
)

set(
    HEADERS_GEN
    ${CMAKE_BINARY_DIR}/src/indicator-messages-service.h
)

set(
    SOURCES_GEN
    ${CMAKE_BINARY_DIR}/src/indicator-messages-service.c
)

set_source_files_properties(${HEADERS_GEN} ${SOURCES_GEN} PROPERTIES GENERATED TRUE)
add_library("indicator-messages-service" STATIC ${HEADERS} ${HEADERS_GEN} ${SOURCES} ${SOURCES_GEN})
target_include_directories("indicator-messages-service" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_compile_definitions("indicator-messages-service" PUBLIC G_LOG_DOMAIN="Ayatana-Indicator-Messages")
add_dependencies("indicator-messages-service" "ayatana-indicator-messages-service")

# test-gactionmuxer

add_executable("test-gactionmuxer" test-gactionmuxer.cpp)
target_link_options("test-gactionmuxer" PRIVATE -no-pie)
target_include_directories("test-gactionmuxer" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS} "${CMAKE_SOURCE_DIR}/src")
target_link_libraries("test-gactionmuxer" "indicator-messages-service" ${PROJECT_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})
add_test("test-gactionmuxer" "test-gactionmuxer")
add_dependencies("test-gactionmuxer" "indicator-messages-service")
set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} "test-gactionmuxer" PARENT_SCOPE)

if (ENABLE_COVERAGE)
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        target_link_libraries("test-gactionmuxer" "--coverage")
    else()
        target_link_libraries("test-gactionmuxer" "-lgcov")
    endif()
endif()

# gschemas.compiled

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties(gschemas.compiled GENERATED)
execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command(OUTPUT gschemas.compiled COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.messages.gschema.xml ${CMAKE_CURRENT_BINARY_DIR} COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR})
add_custom_target("gschemas-compiled" ALL DEPENDS gschemas.compiled)

# indicator-test

pkg_check_modules(DBUSTEST REQUIRED dbustest-1)
add_executable("indicator-test" indicator-test.cpp)
target_link_options("indicator-test" PRIVATE -no-pie)
target_include_directories("indicator-test" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS} ${DBUSTEST_INCLUDE_DIRS} "${CMAKE_SOURCE_DIR}/libmessaging-menu")
target_link_libraries("indicator-test" "messaging-menu" ${PROJECT_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})
target_compile_definitions(
    "indicator-test"
    PUBLIC
    INDICATOR_MESSAGES_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/ayatana-indicator-messages-service"
    SCHEMA_DIR="${CMAKE_CURRENT_BINARY_DIR}"
    XDG_DATA_DIRS="${CMAKE_CURRENT_SOURCE_DIR}"
)
add_test("indicator-test" "indicator-test")
add_dependencies("indicator-test" "messaging-menu" "gschemas-compiled")
set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} "indicator-test" PARENT_SCOPE)

# test-client.sh

set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/test-client.sh" GENERATED)
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test-client.sh" "export LD_LIBRARY_PATH=\"${CMAKE_BINARY_DIR}/libmessaging-menu\"; export GI_TYPELIB_PATH=\"${CMAKE_BINARY_DIR}/libmessaging-menu\"; export XDG_DATA_DIRS=\"${CMAKE_CURRENT_SOURCE_DIR}\"; python3 \"${CMAKE_CURRENT_SOURCE_DIR}/test-client.py\"")
add_test(NAME "test-client" COMMAND sh "${CMAKE_CURRENT_BINARY_DIR}/test-client.sh")

=== debian/changelog ===
ayatana-indicator-messages (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 12:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git

## ayatana-indicator-messages 23.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Globals
 
-set(PROJECT_VERSION "22.9.0")
+set(PROJECT_VERSION "23.10.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(GETTEXT_PACKAGE "ayatana-indicator-messages")

=== debian/changelog ===
ayatana-indicator-messages (23.10.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:28:33 +0000

ayatana-indicator-messages (23.10.0-1build2) noble; urgency=medium

  * Rebuild against new libglib2.0-0t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Mar 2024 20:30:28 +0100

ayatana-indicator-messages (23.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:36 +0000

ayatana-indicator-messages (23.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All shipped upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:49:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-messages
 Section: gnome
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -9,17 +10,17 @@
                cmake-extras,
                debhelper-compat (= 13),
                dh-exec,
-               gobject-introspection (>= 0.9.12-4~),
+               gobject-introspection,
                gtk-doc-tools,
                intltool,
                libaccountsservice-dev,
                libdbustest1-dev,
-               libgirepository1.0-dev (>= 0.9.12),
+               libgirepository1.0-dev,
                libgtest-dev,
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git

## ayatana-indicator-messages 24.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Globals
 
-set(PROJECT_VERSION "23.10.0")
+set(PROJECT_VERSION "24.5.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(GETTEXT_PACKAGE "ayatana-indicator-messages")

=== debian/changelog ===
ayatana-indicator-messages (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: <indicator-renderer> packages. These should be pulled-
      in via the desktop environment where AyatanaIndicators get used.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:41:10 +0100

ayatana-indicator-messages (24.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:06:23 +0200

ayatana-indicator-messages (23.10.0-2) unstable; urgency=medium

  * debian/control:
    + In B-D, switch from systemd to systemd-dev. (Closes: #1060472).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-messages
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -19,8 +18,8 @@
                libgtest-dev,
                python3-dbusmock,
                valac,
-               systemd [linux-any],
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
@@ -32,7 +31,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin,
-Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
+Suggests: indicator-applet | indicator-renderer | mate-applet-indicator,
 Breaks: indicator-messages,
 Replaces: indicator-messages,
 Description: Ayatana Indicator that collects messages that need a response
